import { IResult } from './httpService';
import { EnrollRequest, EnrollResponse, LeaveRequest, StudentFeedbackRequestViewModel, UpdateProfileRequest } from "../models/api.model";
export declare class StudentService {
  private static instance;
  private constructor();
  static getInstance(): StudentService;
  enrollClass(enrollInput: EnrollRequest): Promise<IResult<EnrollResponse>>;
  leaveClass(leaveInput: LeaveRequest): Promise<IResult<number>>;
  fetchUserConfiguration(): Promise<any>;
  updateProfile(updateProfileInput: UpdateProfileRequest): Promise<any>;
  submitFeedback(feedbackInput: StudentFeedbackRequestViewModel): Promise<IResult<StudentFeedbackRequestViewModel>>;
}
